# WOK
TKWOK
WOKUtils

# WOKUtils_ParamItem Class Reference

`#include <WOKUtils_ParamItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKUtils_ParamItem ()
Standard_EXPORT | WOKUtils_ParamItem (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT | WOKUtils_ParamItem (const Standard_CString aname, const Standard_CString avalue)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT void | SetValue (const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT Handle_TCollection_HAsciiString | Value () const

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_TCollection_HAsciiString | myvalue

## Constructor & Destructor Documentation

Standard_EXPORT WOKUtils_ParamItem::WOKUtils_ParamItem | ( |  | ) |

Standard_EXPORT WOKUtils_ParamItem::WOKUtils_ParamItem | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

Standard_EXPORT WOKUtils_ParamItem::WOKUtils_ParamItem | ( | const Standard_CString | aname,
|  | const Standard_CString | avalue
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKUtils_ParamItem::Name | ( |  | ) | const

void WOKUtils_ParamItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUtils_ParamItem::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUtils_ParamItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKUtils_ParamItem::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKUtils_ParamItem::SetValue | ( | const Handle(TCollection_HAsciiString)& | avalue | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKUtils_ParamItem::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKUtils_ParamItem::myname `[private]`

Handle_TCollection_HAsciiString WOKUtils_ParamItem::myvalue `[private]`

The documentation for this class was generated from the following file:

- WOKUtils_ParamItem.hxx